> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save an entity

> Saves an entity with the given details



## OpenAPI

````yaml post /frontend/entity/save/{client_id}/{program_id}/{entity_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/entity/save/{client_id}/{program_id}/{entity_id}/{session_id}:
    post:
      tags:
        - Frontend
      summary: Save an entity
      description: Saves an entity with the given details
      operationId: 28bfd284345b3812d81a40c0c8e938ea
      parameters:
        - name: client_id
          in: path
          description: The ID of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The ID of the program
          required: true
          schema:
            type: integer
        - name: entity_id
          in: path
          description: The ID of the entity
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: The ID of the session
          required: true
          schema:
            type: string
      requestBody:
        description: Details of the entity to be saved
        required: true
        content:
          application/json:
            schema:
              properties:
                sponsorship_amount:
                  description: The sponsorship amount
                  type: integer
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Success message
                    type: string
                  session_id:
                    description: The ID of the session
                    type: string
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Error message
                    type: string
                  errors:
                    description: Details of the validation errors
                    type: object
                type: object

````